### Method

# Gtk SelectionModelselect_item

#### Declaration [src]

    gboolean
    gtk_selection_model_select_item (
      GtkSelectionModel* model,
      guint position,
      gboolean unselect_rest
    )

#### Description [src]

Requests to select an item in the model.

#### Parameters

`position`

  Type: `guint`

  The position of the item to select.

`unselect_rest`

  Type: `gboolean`

  Whether previously selected items should be unselected.

#### Return value

Type: `gboolean`

`TRUE` if this action was supported and no fallback should be tried. This does not mean the item was selected.